/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Death on Apr-06-2012 04:35:42pm
Filepath: scripts\events and scenarios\Long Live the King 2012\Britain Undead Invasions\HazardsAndCollisions\ExplodingCauldron.cs
Lines of code: 30

Description: 

***********************************************************/


using System;
using Server.Items;
using Server.Mobiles;
using System.Collections;

namespace Server.Items
{
	public class ExplodingCauldron : BaseExplodingItem
	{
	
		[Constructable]
		public ExplodingCauldron() : base()
		{	
			ItemID = 2541;
			Name="Cauldron";
			Movable=false;	
		}

		public ExplodingCauldron(Serial serial) : base(serial)
		{
		}
		
		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 1 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}